/** 
 * RSSContentsMngrService
 * RSS1/b コンテンツ管理システムのインターフェース
 */
package org.logical_paradox.rss.rcm;

import java.rmi.RemoteException;

import org.logical_paradox.rss.Service;

public interface RSSContentsMngrService extends Service {
	public String[] getRegisterNames() throws RemoteException;				// 登録されているコンテンツ登録サービスをリスト化する
	public ContentsRegister getRegister() throws RemoteException;				// コンテンツ登録サービスのインターフェースを取得する
	public ContentsFinder getFinder() throws RemoteException;					// コンテンツ検索サービスのインターフェースを取得する
}

// end of RSSContentsMngrService.java
